All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
gpioUdt Struct Reference

Wrapper structure for GpioUdt. More...

`#include <src/c_wrapper/pruio.h>`

Collaboration diagram for gpioUdt:
[legend]

## Public Attributes

pruIo * | Top
| pointer to the calling PruIo instance
gpioSet * | Init [PRUIO_AZ_GPIO+1]
| initial device configuration, used in the destructor PruIo:~PruIo()
gpioSet * | Conf [PRUIO_AZ_GPIO+1]
| current device configuration, used in PruIo::config()
gpioArr * | Raw [PRUIO_AZ_GPIO+1]
| pointer to current raw device data (IO), all 32 bits
uint32 | InitParA
| offset to read data block offset

## Detailed Description

Wrapper structure for GpioUdt.

Since
  0.2

Definition at line 194 of file pruio.h.

The documentation for this struct was generated from the following file:

- src/c_wrapper/pruio.h